asyncapi: 3.0.0
info:
    title: 🌦 Air Quality
    version: 1.0.0
    description: Locations and Measurements of Air Quality in Prague
channels:
    airQuality.refresh1HDataInDB:
        address: dataplatform.airqualitystations.refresh1HDataInDB
        description: Download and save 1 hour data from CHMI
        bindings:
            amqp:
                is: queue
                queue:
                    durable: true
        messages:
            empty:
                $ref: "#/components/messages/emptyMessage"
    airQuality.refresh3HDataInDB:
        address: dataplatform.airqualitystations.refresh3HDataInDB
        description: Download and save 3 hour data from CHMI
        bindings:
            amqp:
                is: queue
                queue:
                    durable: true
        messages:
            empty:
                $ref: "#/components/messages/emptyMessage"
    airQuality.updateDistrict:
        address: dataplatform.airqualitystations.updateDistrict
        description: Update city district of a station if missing
        bindings:
            amqp:
                is: queue
                queue:
                    durable: true
        messages:
            airQuality.UpdateDistrictParams:
                $ref: "#/components/messages/airQuality.UpdateDistrictParams"
operations:
    airQuality.refresh1HDataInDB:
        action: "send"
        channel:
            $ref: "#/channels/airQuality.refresh1HDataInDB"
    airQuality.refresh3HDataInDB:
        action: "send"
        channel:
            $ref: "#/channels/airQuality.refresh3HDataInDB"
    airQuality.updateDistrict:
        action: "send"
        channel:
            $ref: "#/channels/airQuality.updateDistrict"
components:
    messages:
        emptyMessage:
            title: Empty message
        airQuality.UpdateDistrictParams:
            payload:
                type: object
                properties:
                    "id":
                        type: string
                additionalProperties: false
